/*
 * 
 * Copyright (C) 2003, 2004 Oliver Plohmann
 * All rights reserved.
 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that redistributions of source    
 * code or in binary form must reproduce the above copyright notice, 
 * and the disclaimer that follows.

 * In addition, you are required that you include in the  end-user 
 * documentation provided with the redistribution and/or in the 
 * software itself an acknowledgement equivalent to the following:
 * "This product is based on the Janet software developed by the 
 * JANET Project (http://www.oliverplohmann.de/janet/)."

 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE JDOM AUTHORS OR THE PROJECT
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

package org.almendra.janet.cas.logger;


/**
 * @author Oliver
 *
 */
public class LoggerAnchor
{

	public static final String LABEL = "LoggerAnchor"; //$NON-NLS-1$
	public static final String PRODUCER_AGENTPATH = "REMOTE_LOGGER.PRODUCER.LOGGER"; //$NON-NLS-1$
	public static final String CAPABILITY_PRODUCER_NAME = "PRODUCER"; //$NON-NLS-1$
	public static final String CAPABILITY_CONSUMER_NAME = "CONSUMER"; //$NON-NLS-1$
	public static final String APPLICATION_NAME = "REMOTE_LOGGER"; //$NON-NLS-1$
	public static final String AGENT_NAME = "LOGGER"; //$NON-NLS-1$
	public static final String NODE_LABEL = "RemoteLogger"; //$NON-NLS-1$
	
	public static final int TIMEOUT_UNINSTALL_LOGGERS = 4000;	// ms
		
	/**
	 * Creates a new <code>LoggerAnchor</code> object.
	 */
	public LoggerAnchor()
	{
		super();
	}
}
